# Contributing to TidyFiles

First off, thank you for considering contributing to TidyFiles! 🎉 Your involvement is highly valued, and we’re excited to have you on board.

## 📝 How to Contribute
Here are some ways you can help improve TidyFiles:
- Report bugs 🐞.
- Suggest new features or enhancements 💡.
- Improve the documentation 📚.
- Submit pull requests with bug fixes, code improvements, or new features 🛠️.

## 💻 Setting Up the Project
1. **Fork the repository** by clicking the **Fork** button on the top right corner of the repo page.
2. **Clone the repository** to your local machine:
   ```bash
   git clone https://github.com/RYZHAIEV-SERHII/TidyFiles.git
   ```
3. Navigate to the project directory:

```bash
cd TidyFiles
```

4. Set up a virtual environment and activate it:

```bash
python -m venv venv
source venv/bin/activate  # On Windows: venv\Scripts\activate
```

5. Install the required dependencies:

```bash
pip install -r requirements.txt
```

## 🚦 Workflow for Contributing
1. Create a new branch for your work:

```bash
git checkout -b feature-name
```

2. Make and test your changes locally.

3. Commit your changes with a meaningful commit message:

```bash
git commit -m "Add feature-name: brief description"
```

4. Push your changes to your forked repository:

```bash
git push origin feature-name
```

5. Open a Pull Request (PR) to the main repository:

- Go to the original repository on GitHub.

- Click the Pull Requests tab and select New Pull Request.

- Provide a clear description of your changes.

## 🛡️ Code of Conduct
By contributing to TidyFiles, you agree to abide by the Code of Conduct. Be respectful and collaborative to ensure a welcoming environment for everyone!

## 💬 Need Help?
If you have questions or run into issues, feel free to open an issue in the repository or start a discussion. We're here to help!

</br>
Thank you for contributing to TidyFiles! Together, we can make it even better. 🚀
